import 'package:flutter_tracker/model/message_model.dart';
import 'package:flutter_tracker/model/user_model.dart';

/// Description:
/// Time       : 2021年12月03日 Friday
/// Author     : liuyuqi.gov@msncn
class LoginEntity {
  String token;
  MessageModel msgModel;
  UserModel userModel;

  LoginEntity.fromJson(Map<String, dynamic> json) {
    msgModel = MessageModel.fromJson(json);
    if (msgModel.success) {
      token = json["data"]["token"];
      userModel = UserModel.fromJson(json["data"]);
    }
  }
}
